Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http
Class HttpHeaders

    java.lang.Object
      org.apache.http.HttpHeaders

    public final class HttpHeaders

extends Object

Constants enumerating the HTTP headers. All headers defined in RFC1945 (HTTP/1.0), RFC2616 (HTTP/1.1), and RFC2518 (WebDAV) are listed.

Since:
  4.1

Field Summary
`static String` | `ACCEPT` RFC 2616 (HTTP/1.1) Section 14.1
`static String` | `ACCEPT_CHARSET` RFC 2616 (HTTP/1.1) Section 14.2
`static String` | `ACCEPT_ENCODING` RFC 2616 (HTTP/1.1) Section 14.3
`static String` | `ACCEPT_LANGUAGE` RFC 2616 (HTTP/1.1) Section 14.4
`static String` | `ACCEPT_RANGES` RFC 2616 (HTTP/1.1) Section 14.5
`static String` | `AGE` RFC 2616 (HTTP/1.1) Section 14.6
`static String` | `ALLOW` RFC 1945 (HTTP/1.0) Section 10.1, RFC 2616 (HTTP/1.1) Section 14.7
`static String` | `AUTHORIZATION` RFC 1945 (HTTP/1.0) Section 10.2, RFC 2616 (HTTP/1.1) Section 14.8
`static String` | `CACHE_CONTROL` RFC 2616 (HTTP/1.1) Section 14.9
`static String` | `CONNECTION` RFC 2616 (HTTP/1.1) Section 14.10
`static String` | `CONTENT_ENCODING` RFC 1945 (HTTP/1.0) Section 10.3, RFC 2616 (HTTP/1.1) Section 14.11
`static String` | `CONTENT_LANGUAGE` RFC 2616 (HTTP/1.1) Section 14.12
`static String` | `CONTENT_LENGTH` RFC 1945 (HTTP/1.0) Section 10.4, RFC 2616 (HTTP/1.1) Section 14.13
`static String` | `CONTENT_LOCATION` RFC 2616 (HTTP/1.1) Section 14.14
`static String` | `CONTENT_MD5` RFC 2616 (HTTP/1.1) Section 14.15
`static String` | `CONTENT_RANGE` RFC 2616 (HTTP/1.1) Section 14.16
`static String` | `CONTENT_TYPE` RFC 1945 (HTTP/1.0) Section 10.5, RFC 2616 (HTTP/1.1) Section 14.17
`static String` | `DATE` RFC 1945 (HTTP/1.0) Section 10.6, RFC 2616 (HTTP/1.1) Section 14.18
`static String` | `DAV` RFC 2518 (WevDAV) Section 9.1
`static String` | `DEPTH` RFC 2518 (WevDAV) Section 9.2
`static String` | `DESTINATION` RFC 2518 (WevDAV) Section 9.3
`static String` | `ETAG` RFC 2616 (HTTP/1.1) Section 14.19
`static String` | `EXPECT` RFC 2616 (HTTP/1.1) Section 14.20
`static String` | `EXPIRES` RFC 1945 (HTTP/1.0) Section 10.7, RFC 2616 (HTTP/1.1) Section 14.21
`static String` | `FROM` RFC 1945 (HTTP/1.0) Section 10.8, RFC 2616 (HTTP/1.1) Section 14.22
`static String` | `HOST` RFC 2616 (HTTP/1.1) Section 14.23
`static String` | `IF` RFC 2518 (WevDAV) Section 9.4
`static String` | `IF_MATCH` RFC 2616 (HTTP/1.1) Section 14.24
`static String` | `IF_MODIFIED_SINCE` RFC 1945 (HTTP/1.0) Section 10.9, RFC 2616 (HTTP/1.1) Section 14.25
`static String` | `IF_NONE_MATCH` RFC 2616 (HTTP/1.1) Section 14.26
`static String` | `IF_RANGE` RFC 2616 (HTTP/1.1) Section 14.27
`static String` | `IF_UNMODIFIED_SINCE` RFC 2616 (HTTP/1.1) Section 14.28
`static String` | `LAST_MODIFIED` RFC 1945 (HTTP/1.0) Section 10.10, RFC 2616 (HTTP/1.1) Section 14.29
`static String` | `LOCATION` RFC 1945 (HTTP/1.0) Section 10.11, RFC 2616 (HTTP/1.1) Section 14.30
`static String` | `LOCK_TOKEN` RFC 2518 (WevDAV) Section 9.5
`static String` | `MAX_FORWARDS` RFC 2616 (HTTP/1.1) Section 14.31
`static String` | `OVERWRITE` RFC 2518 (WevDAV) Section 9.6
`static String` | `PRAGMA` RFC 1945 (HTTP/1.0) Section 10.12, RFC 2616 (HTTP/1.1) Section 14.32
`static String` | `PROXY_AUTHENTICATE` RFC 2616 (HTTP/1.1) Section 14.33
`static String` | `PROXY_AUTHORIZATION` RFC 2616 (HTTP/1.1) Section 14.34
`static String` | `RANGE` RFC 2616 (HTTP/1.1) Section 14.35
`static String` | `REFERER` RFC 1945 (HTTP/1.0) Section 10.13, RFC 2616 (HTTP/1.1) Section 14.36
`static String` | `RETRY_AFTER` RFC 2616 (HTTP/1.1) Section 14.37
`static String` | `SERVER` RFC 1945 (HTTP/1.0) Section 10.14, RFC 2616 (HTTP/1.1) Section 14.38
`static String` | `STATUS_URI` RFC 2518 (WevDAV) Section 9.7
`static String` | `TE` RFC 2616 (HTTP/1.1) Section 14.39
`static String` | `TIMEOUT` RFC 2518 (WevDAV) Section 9.8
`static String` | `TRAILER` RFC 2616 (HTTP/1.1) Section 14.40
`static String` | `TRANSFER_ENCODING` RFC 2616 (HTTP/1.1) Section 14.41
`static String` | `UPGRADE` RFC 2616 (HTTP/1.1) Section 14.42
`static String` | `USER_AGENT` RFC 1945 (HTTP/1.0) Section 10.15, RFC 2616 (HTTP/1.1) Section 14.43
`static String` | `VARY` RFC 2616 (HTTP/1.1) Section 14.44
`static String` | `VIA` RFC 2616 (HTTP/1.1) Section 14.45
`static String` | `WARNING` RFC 2616 (HTTP/1.1) Section 14.46
`static String` | `WWW_AUTHENTICATE` RFC 1945 (HTTP/1.0) Section 10.16, RFC 2616 (HTTP/1.1) Section 14.47

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCEPT

    public static final String ACCEPT

  RFC 2616 (HTTP/1.1) Section 14.1

  See Also:
    Constant Field Values

### ACCEPT_CHARSET

    public static final String ACCEPT_CHARSET

  RFC 2616 (HTTP/1.1) Section 14.2

  See Also:
    Constant Field Values

### ACCEPT_ENCODING

    public static final String ACCEPT_ENCODING

  RFC 2616 (HTTP/1.1) Section 14.3

  See Also:
    Constant Field Values

### ACCEPT_LANGUAGE

    public static final String ACCEPT_LANGUAGE

  RFC 2616 (HTTP/1.1) Section 14.4

  See Also:
    Constant Field Values

### ACCEPT_RANGES

    public static final String ACCEPT_RANGES

  RFC 2616 (HTTP/1.1) Section 14.5

  See Also:
    Constant Field Values

### AGE

    public static final String AGE

  RFC 2616 (HTTP/1.1) Section 14.6

  See Also:
    Constant Field Values

### ALLOW

    public static final String ALLOW

  RFC 1945 (HTTP/1.0) Section 10.1, RFC 2616 (HTTP/1.1) Section 14.7

  See Also:
    Constant Field Values

### AUTHORIZATION

    public static final String AUTHORIZATION

  RFC 1945 (HTTP/1.0) Section 10.2, RFC 2616 (HTTP/1.1) Section 14.8

  See Also:
    Constant Field Values

### CACHE_CONTROL

    public static final String CACHE_CONTROL

  RFC 2616 (HTTP/1.1) Section 14.9

  See Also:
    Constant Field Values

### CONNECTION

    public static final String CONNECTION

  RFC 2616 (HTTP/1.1) Section 14.10

  See Also:
    Constant Field Values

### CONTENT_ENCODING

    public static final String CONTENT_ENCODING

  RFC 1945 (HTTP/1.0) Section 10.3, RFC 2616 (HTTP/1.1) Section 14.11

  See Also:
    Constant Field Values

### CONTENT_LANGUAGE

    public static final String CONTENT_LANGUAGE

  RFC 2616 (HTTP/1.1) Section 14.12

  See Also:
    Constant Field Values

### CONTENT_LENGTH

    public static final String CONTENT_LENGTH

  RFC 1945 (HTTP/1.0) Section 10.4, RFC 2616 (HTTP/1.1) Section 14.13

  See Also:
    Constant Field Values

### CONTENT_LOCATION

    public static final String CONTENT_LOCATION

  RFC 2616 (HTTP/1.1) Section 14.14

  See Also:
    Constant Field Values

### CONTENT_MD5

    public static final String CONTENT_MD5

  RFC 2616 (HTTP/1.1) Section 14.15

  See Also:
    Constant Field Values

### CONTENT_RANGE

    public static final String CONTENT_RANGE

  RFC 2616 (HTTP/1.1) Section 14.16

  See Also:
    Constant Field Values

### CONTENT_TYPE

    public static final String CONTENT_TYPE

  RFC 1945 (HTTP/1.0) Section 10.5, RFC 2616 (HTTP/1.1) Section 14.17

  See Also:
    Constant Field Values

### DATE

    public static final String DATE

  RFC 1945 (HTTP/1.0) Section 10.6, RFC 2616 (HTTP/1.1) Section 14.18

  See Also:
    Constant Field Values

### DAV

    public static final String DAV

  RFC 2518 (WevDAV) Section 9.1

  See Also:
    Constant Field Values

### DEPTH

    public static final String DEPTH

  RFC 2518 (WevDAV) Section 9.2

  See Also:
    Constant Field Values

### DESTINATION

    public static final String DESTINATION

  RFC 2518 (WevDAV) Section 9.3

  See Also:
    Constant Field Values

### ETAG

    public static final String ETAG

  RFC 2616 (HTTP/1.1) Section 14.19

  See Also:
    Constant Field Values

### EXPECT

    public static final String EXPECT

  RFC 2616 (HTTP/1.1) Section 14.20

  See Also:
    Constant Field Values

### EXPIRES

    public static final String EXPIRES

  RFC 1945 (HTTP/1.0) Section 10.7, RFC 2616 (HTTP/1.1) Section 14.21

  See Also:
    Constant Field Values

### FROM

    public static final String FROM

  RFC 1945 (HTTP/1.0) Section 10.8, RFC 2616 (HTTP/1.1) Section 14.22

  See Also:
    Constant Field Values

### HOST

    public static final String HOST

  RFC 2616 (HTTP/1.1) Section 14.23

  See Also:
    Constant Field Values

### IF

    public static final String IF

  RFC 2518 (WevDAV) Section 9.4

  See Also:
    Constant Field Values

### IF_MATCH

    public static final String IF_MATCH

  RFC 2616 (HTTP/1.1) Section 14.24

  See Also:
    Constant Field Values

### IF_MODIFIED_SINCE

    public static final String IF_MODIFIED_SINCE

  RFC 1945 (HTTP/1.0) Section 10.9, RFC 2616 (HTTP/1.1) Section 14.25

  See Also:
    Constant Field Values

### IF_NONE_MATCH

    public static final String IF_NONE_MATCH

  RFC 2616 (HTTP/1.1) Section 14.26

  See Also:
    Constant Field Values

### IF_RANGE

    public static final String IF_RANGE

  RFC 2616 (HTTP/1.1) Section 14.27

  See Also:
    Constant Field Values

### IF_UNMODIFIED_SINCE

    public static final String IF_UNMODIFIED_SINCE

  RFC 2616 (HTTP/1.1) Section 14.28

  See Also:
    Constant Field Values

### LAST_MODIFIED

    public static final String LAST_MODIFIED

  RFC 1945 (HTTP/1.0) Section 10.10, RFC 2616 (HTTP/1.1) Section 14.29

  See Also:
    Constant Field Values

### LOCATION

    public static final String LOCATION

  RFC 1945 (HTTP/1.0) Section 10.11, RFC 2616 (HTTP/1.1) Section 14.30

  See Also:
    Constant Field Values

### LOCK_TOKEN

    public static final String LOCK_TOKEN

  RFC 2518 (WevDAV) Section 9.5

  See Also:
    Constant Field Values

### MAX_FORWARDS

    public static final String MAX_FORWARDS

  RFC 2616 (HTTP/1.1) Section 14.31

  See Also:
    Constant Field Values

### OVERWRITE

    public static final String OVERWRITE

  RFC 2518 (WevDAV) Section 9.6

  See Also:
    Constant Field Values

### PRAGMA

    public static final String PRAGMA

  RFC 1945 (HTTP/1.0) Section 10.12, RFC 2616 (HTTP/1.1) Section 14.32

  See Also:
    Constant Field Values

### PROXY_AUTHENTICATE

    public static final String PROXY_AUTHENTICATE

  RFC 2616 (HTTP/1.1) Section 14.33

  See Also:
    Constant Field Values

### PROXY_AUTHORIZATION

    public static final String PROXY_AUTHORIZATION

  RFC 2616 (HTTP/1.1) Section 14.34

  See Also:
    Constant Field Values

### RANGE

    public static final String RANGE

  RFC 2616 (HTTP/1.1) Section 14.35

  See Also:
    Constant Field Values

### REFERER

    public static final String REFERER

  RFC 1945 (HTTP/1.0) Section 10.13, RFC 2616 (HTTP/1.1) Section 14.36

  See Also:
    Constant Field Values

### RETRY_AFTER

    public static final String RETRY_AFTER

  RFC 2616 (HTTP/1.1) Section 14.37

  See Also:
    Constant Field Values

### SERVER

    public static final String SERVER

  RFC 1945 (HTTP/1.0) Section 10.14, RFC 2616 (HTTP/1.1) Section 14.38

  See Also:
    Constant Field Values

### STATUS_URI

    public static final String STATUS_URI

  RFC 2518 (WevDAV) Section 9.7

  See Also:
    Constant Field Values

### TE

    public static final String TE

  RFC 2616 (HTTP/1.1) Section 14.39

  See Also:
    Constant Field Values

### TIMEOUT

    public static final String TIMEOUT

  RFC 2518 (WevDAV) Section 9.8

  See Also:
    Constant Field Values

### TRAILER

    public static final String TRAILER

  RFC 2616 (HTTP/1.1) Section 14.40

  See Also:
    Constant Field Values

### TRANSFER_ENCODING

    public static final String TRANSFER_ENCODING

  RFC 2616 (HTTP/1.1) Section 14.41

  See Also:
    Constant Field Values

### UPGRADE

    public static final String UPGRADE

  RFC 2616 (HTTP/1.1) Section 14.42

  See Also:
    Constant Field Values

### USER_AGENT

    public static final String USER_AGENT

  RFC 1945 (HTTP/1.0) Section 10.15, RFC 2616 (HTTP/1.1) Section 14.43

  See Also:
    Constant Field Values

### VARY

    public static final String VARY

  RFC 2616 (HTTP/1.1) Section 14.44

  See Also:
    Constant Field Values

### VIA

    public static final String VIA

  RFC 2616 (HTTP/1.1) Section 14.45

  See Also:
    Constant Field Values

### WARNING

    public static final String WARNING

  RFC 2616 (HTTP/1.1) Section 14.46

  See Also:
    Constant Field Values

### WWW_AUTHENTICATE

    public static final String WWW_AUTHENTICATE

  RFC 1945 (HTTP/1.0) Section 10.16, RFC 2616 (HTTP/1.1) Section 14.47

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.